
# DataRefiner: An Advanced Toolkit for Data Transformation and Processing

[![GitHub release](https://img.shields.io/badge/release-0.1.0-yellow.svg)](https://github.com/thieu1995/DataRefiner/releases)
[![Wheel](https://img.shields.io/pypi/wheel/gensim.svg)](https://pypi.python.org/pypi/DataRefiner) 
[![PyPI version](https://badge.fury.io/py/DataRefiner.svg)](https://badge.fury.io/py/DataRefiner)
![PyPI - Python Version](https://img.shields.io/pypi/pyversions/DataRefiner.svg)
![PyPI - Status](https://img.shields.io/pypi/status/DataRefiner.svg)
![PyPI - Downloads](https://img.shields.io/pypi/dm/DataRefiner.svg)
[![Downloads](https://static.pepy.tech/badge/DataRefiner)](https://pepy.tech/project/DataRefiner)
[![Tests & Publishes to PyPI](https://github.com/thieu1995/DataRefiner/actions/workflows/publish-package.yaml/badge.svg)](https://github.com/thieu1995/DataRefiner/actions/workflows/publish-package.yaml)
[![Documentation Status](https://readthedocs.org/projects/DataRefiner/badge/?version=latest)](https://DataRefiner.readthedocs.io/en/latest/?badge=latest)
[![Chat](https://img.shields.io/badge/Chat-on%20Telegram-blue)](https://t.me/+fRVCJGuGJg1mNDg1)
[![DOI](https://zenodo.org/badge/DOI/10.5281/zenodo.12820732.svg)](https://doi.org/10.5281/zenodo.12820732)
[![License: GPL v3](https://img.shields.io/badge/License-GPLv3-blue.svg)](https://www.gnu.org/licenses/gpl-3.0)

---

`DataRefiner` is a cutting-edge Python library designed to streamline and enhance the data transformation and 
processing workflow. Whether you're dealing with complex datasets in machine learning, data analysis, or any 
data-driven domain, DataRefiner provides an extensive suite of tools to ensure your data is clean, well-structured, 
and ready for insightful analysis.

Key features of DataRefiner include:

- **Advanced Data Transformation:** Perform sophisticated data manipulation tasks with ease, including normalization, scaling, encoding, and more.
- **Customizable Processing Pipelines:** Create flexible and reusable data processing pipelines tailored to your specific needs.
- **Integration with Popular Libraries:** Seamlessly integrate with libraries such as scikit-learn, pandas, and NumPy to enhance your existing data processing workflows.
- **User-Friendly API:** Enjoy an intuitive and easy-to-use interface that simplifies complex data transformation tasks.

DataRefiner is designed for data scientists, machine learning engineers, and researchers who demand precision and 
efficiency in their data preparation processes. Empower your data projects with DataRefiner and unlock the full potential of your data.


| **DataRefiner**     | **An Advanced Toolkit for Data Transformation and Processing**   |
|---------------------|------------------------------------------------------------------|
| **Free software**   | GNU General Public License (GPL) V3 license                      |
| **Documentation**   | https://datarefiner.readthedocs.io                               | 
| **Python versions** | \>= 3.8.x                                                        |  
| **Dependencies**    | numpy, scipy, scikit-learn, pandas, permetrics                   |



# Usage

* Install the [current PyPI release](https://pypi.python.org/pypi/datarefiner):
```sh 
$ pip install datarefiner
```

After installation, you can check DataRefiner version:

```sh
$ python
>>> import datarefiner
>>> datarefiner.__version__
```

Please go check out the [examples](/examples) folder. You'll be surprised by what this library can do for your data.
You can also read the [documentation](https://datarefiner.readthedocs.io/) for more detailed installation 
instructions, explanations, and examples.

# Citation Request

If you use this library for your project, please cite us with:

```bibtex
@software{thieu_2024_12820732,
  author       = {Nguyen Van Thieu},
  title        = {DataRefiner: An Advanced Toolkit for Data Transformation and Processing},
  month        = jul,
  year         = 2024,
  publisher    = {Zenodo},
  doi          = {10.5281/zenodo.12820731},
  url          = {https://github.com/thieu1995/DataRefiner}
}
```


# Official Links (Get support for questions and answers)

* [Official source code repository](https://github.com/thieu1995/DataRefiner)
* [Official document](https://datarefiner.readthedocs.io/)
* [Download releases](https://pypi.org/project/datarefiner/) 
* [Issue tracker](https://github.com/thieu1995/DataRefiner/issues) 
* [Notable changes log](/ChangeLog.md)
* [Official discussion group](https://t.me/+fRVCJGuGJg1mNDg1)
